twitter4j.util

## Class TimeSpanConverter

- java.lang.Object
- - twitter4j.util.TimeSpanConverter

All Implemented Interfaces:
  Serializable

    public final class TimeSpanConverter
    extends Object
    implements Serializable

Since:
  Twitter4J 2.1.0
Author:
  Joern Huxhorn - jhuxhorn at googlemail.com, Yusuke Yamamoto - yusuke at mac.com
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TimeSpanConverter()` Constructs an instance with default locale
`TimeSpanConverter(Locale locale)` Constructs an instance with the specified locale

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toTimeSpanString(Date date)`
`String` `toTimeSpanString(long milliseconds)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeSpanConverter

    public TimeSpanConverter()

Constructs an instance with default locale

#### TimeSpanConverter

    public TimeSpanConverter(Locale locale)

Constructs an instance with the specified locale

Parameters:
  `locale` - locale

### Method Detail

#### toTimeSpanString

    public String toTimeSpanString(Date date)

#### toTimeSpanString

    public String toTimeSpanString(long milliseconds)